Update a transaction Run in API Explorer

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://apidocs.plannrcrm.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
"PlannrCRM MCP server": {
  "url": "https://apidocs.plannrcrm.com/mcp"
}
Close
PUT /api/v1/plans/{plan_uuid}/transaction/{uuid}

Headers

  • X-PLANNR-ACCOUNT-UUID string

Path parameters

  • plan_uuid string Required

    The uuid of a Plan.

  • uuid string Required

    The uuid of the transaction.

application/json

Body

  • type string

    Transaction type.

    Value Description
    adjustment Adjustment
    adviser_fee Adviser Fee
    contribution Contribution
    corporate_action Corporate Action
    distribution Distribution
    fee Fee
    income Income
    payment Payment
    provider_fee Provider Fee
    rebate Rebate
    trade Trade
    transfer Transfer
    withdrawal Withdrawal
    other Other

    Values are adjustment, adviser_fee, contribution, corporate_action, distribution, fee, income, payment, provider_fee, rebate, trade, transfer, withdrawal, or other.

  • sub_type string

    Transaction sub type

    Value Description
    advice_fee_adjustments Advice Fee Adjustments
    advice_fee_refunds Advice Fee Refunds
    advice_fees_ad_hoc Advice Fees Ad Hoc
    advice_fees_annual Advice Fees Annual
    advice_fees_initial Advice Fees Initial
    discretionary_fund_manager_fees Discretionary Fund Manager Fees
    nucleus_fee_rebates Nucleus Fee Rebates
    nucleus_fees Nucleus Fees
    product_fees Product Fees
    provider_fee_rebates Provider Fee Rebates
    provider_fees Provider Fees
    bed_and_isa_transfers Bed And Isa Transfers
    cash_transfers_in Cash Transfers In
    cash_transfers_out Cash Transfers Out
    inter_account_transfers_in Inter Account Transfers In
    inter_account_transfers_out Inter Account Transfers Out
    reregistrations_in Reregistrations In
    reregistrations_out Reregistrations Out
    acquisitions Acquisitions
    asset_closures Asset Closures
    bonus_issues Bonus Issues
    capital_reorganisations Capital Reorganisations
    capital_returns Capital Returns
    closed_offers Closed Offers
    compulsory_call_payments Compulsory Call Payments
    consolidations Consolidations
    de_mergers De Mergers
    early_withdrawals Early Withdrawals
    fund_mergers Fund Mergers
    liquidations Liquidations
    mergers Mergers
    open_offers Open Offers
    optional_call_conversions Optional Call Conversions
    optional_call_payments Optional Call Payments
    optional_conversions Optional Conversions
    optional_redemptions Optional Redemptions
    rights_issues Rights Issues
    scheme_of_arrangements Scheme Of Arrangements
    scrip_dividends Scrip Dividends
    share_offers Share Offers
    stock_splits Stock Splits
    subdivisions Subdivisions
    subscription_offers Subscription Offers
    subscriptions Subscriptions
    take_overs Take Overs
    tender_offers Tender Offers
    credit_adjustments Credit Adjustments
    debit_adjustments Debit Adjustments
    early_redemption Early Redemption
    external_value External Value
    insurance_premium_adjustments Insurance Premium Adjustments
    interest_adjustments Interest Adjustments
    share_capital_reductions Share Capital Reductions
    surcharge_adjustments Surcharge Adjustments
    trade_correction Trade Correction
    lump_sum Lump Sum
    regular Regular
    reinvestment_of_income Reinvestment Of Income
    transfer_in Transfer In
    amc_cash_rebates Amc Cash Rebates
    amc_unit_rebates Amc Unit Rebates
    tax_rebates Tax Rebates
    asset_conversions Asset Conversions
    auto_disinvestments Auto Disinvestments
    buys Buys
    rebalances Rebalances
    sells Sells
    switches Switches
    dividend Dividend
    dividend_tax Dividend Tax
    interest Interest
    bed_and_isa_payments Bed And Isa Payments
    corrections Corrections
    lump_sum_payments Lump Sum Payments
    pension_tax_relief Pension Tax Relief
    regular_employer_payments Regular Employer Payments
    regular_payments Regular Payments
    bond_assignments Bond Assignments
    lump_sum_withdrawals Lump Sum Withdrawals
    natural_income Natural Income
    regular_withdrawals Regular Withdrawals
    income_distributions Income Distributions
    interest_distributions Interest Distributions
    other Other

    Values are advice_fee_adjustments, advice_fee_refunds, advice_fees_ad_hoc, advice_fees_annual, advice_fees_initial, discretionary_fund_manager_fees, nucleus_fee_rebates, nucleus_fees, product_fees, provider_fee_rebates, provider_fees, bed_and_isa_transfers, cash_transfers_in, cash_transfers_out, inter_account_transfers_in, inter_account_transfers_out, reregistrations_in, reregistrations_out, acquisitions, asset_closures, bonus_issues, capital_reorganisations, capital_returns, closed_offers, compulsory_call_payments, consolidations, de_mergers, early_withdrawals, fund_mergers, liquidations, mergers, open_offers, optional_call_conversions, optional_call_payments, optional_conversions, optional_redemptions, rights_issues, scheme_of_arrangements, scrip_dividends, share_offers, stock_splits, subdivisions, subscription_offers, subscriptions, take_overs, tender_offers, credit_adjustments, debit_adjustments, early_redemption, external_value, insurance_premium_adjustments, interest_adjustments, share_capital_reductions, surcharge_adjustments, trade_correction, lump_sum, regular, reinvestment_of_income, transfer_in, amc_cash_rebates, amc_unit_rebates, tax_rebates, asset_conversions, auto_disinvestments, buys, rebalances, sells, switches, dividend, dividend_tax, interest, bed_and_isa_payments, corrections, lump_sum_payments, pension_tax_relief, regular_employer_payments, regular_payments, bond_assignments, lump_sum_withdrawals, natural_income, regular_withdrawals, income_distributions, interest_distributions, or other.

  • amount integer

    Transaction amount in pennies

  • date string(date)

    Transaction date

  • notes string | null

    Transaction note

    Maximum length is 1000.

Responses

  • 200 application/json
    Hide response attribute Show response attribute object
    • message string
  • 409 application/json

    Plan is being deleted

    Hide response attribute Show response attribute object
    • message string
PUT /api/v1/plans/{plan_uuid}/transaction/{uuid}
curl \
 --request PUT 'https://api.plannrcrm.com/api/v1/plans/dcf0-484e-a0c5-08590fe89a84-f6aa1670/transaction/dbf0-4b4e-a0c5-0b59bf8b84-f6aa1670' \
 --header "Authorization: Bearer $ACCESS_TOKEN" \
 --header "Content-Type: application/json" \
 --header "X-PLANNR-ACCOUNT-UUID: {YOUR_PLANNR_ACCOUNT_UUID}" \
 --data '{"type":"adjustment","sub_type":"advice_fee_adjustments","amount":1099,"date":"2026-06-09","notes":"Notes about the transaction"}'
Request examples
# Headers
X-PLANNR-ACCOUNT-UUID: {YOUR_PLANNR_ACCOUNT_UUID}

# Payload
{
  "type": "adjustment",
  "sub_type": "advice_fee_adjustments",
  "amount": 1099,
  "date": "2026-06-09",
  "notes": "Notes about the transaction"
}
Response examples (200)
{
  "message": "Plan is being deleted."
}
Response examples (409)
{
  "message": "Plan is being deleted."
}